Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRAbstractStyleFactory

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRBaseFactory
          net.sf.jasperreports.engine.xml.JRAbstractStyleFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

Direct Known Subclasses:
  JRConditionalStyleFillerFactory, JRPrintStyleFactory, JRStyleFactory, JRTemplateStyleFactory

    public abstract class JRAbstractStyleFactory

extends JRBaseFactory

Version:
  $Id: JRAbstractStyleFactory.java 3794 2010-05-13 07:47:16Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`digester`

Constructor Summary
`JRAbstractStyleFactory()`

Method Summary
`java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`
`protected void` | `setCommonStyle(JRStyle style, org.xml.sax.Attributes atts)`
`protected abstract void` | `setParentStyle(JRDesignStyle currentStyle, java.lang.String parentStyleName)`

Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRAbstractStyleFactory

    public JRAbstractStyleFactory()

Method Detail

### createObject

    public java.lang.Object createObject(org.xml.sax.Attributes atts)

### setCommonStyle

    protected void setCommonStyle(JRStyle style,
                                  org.xml.sax.Attributes atts)

### setParentStyle

    protected abstract void setParentStyle(JRDesignStyle currentStyle,
                                           java.lang.String parentStyleName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com